/* Mergeant
 *
 * Copyright (C) 1999 - 2003 Vivien Malerba
 * Copyright (C) 2002 - 2003 Rodrigo Moya
 *
 * Authors:
 *       Vivien Malerba <malerba@gnome-db.org>
 *       Rodrigo Moya <rodrigo@gnome-db.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include <libgnomeui/gnome-client.h>
#include "session.h"

static GnomeClient *session_client = NULL;

static void
removed_from_session_cb (GnomeClient *session_client, gpointer user_data)
{
}

static gint
save_session_cb (GnomeClient *session_client, gint phase, GnomeSaveStyle save_style,
                 gint shutdown, GnomeInteractStyle interact_style, gint fast, gpointer user_data)
{
	return TRUE;
}

void
session_setup (void)
{
	if (session_client)
		return;

	session_client = gnome_master_client ();
	g_signal_connect (G_OBJECT (session_client), "save_yourself",
                          G_CALLBACK (save_session_cb), NULL);
        g_signal_connect (G_OBJECT (session_client), "die",
                          G_CALLBACK (removed_from_session_cb), NULL);
}
